Name:           python-opensafely-matching
Version:        1.0.0
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        Command line tool for matching cases to controls

# No license information obtained, it's up to the packager to fill it in
License:        ...
URL:            https://github.com/opensafely/matching
Source:         %{pypi_source opensafely_matching}

BuildArch:      noarch
BuildRequires:  python3-devel


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'opensafely-matching' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-opensafely-matching
Summary:        %{summary}

%description -n python3-opensafely-matching %_description


%prep
%autosetup -p1 -n opensafely_matching-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%_pyproject_check_import_allow_no_modules -t


%files -n python3-opensafely-matching -f %{pyproject_files}


%changelog
%autochangelog